import java.io.*;
 
class f2 extends f_x
{
 double func(double x)
 {
   return Math.sin(x)-x/2;
 }
}

class PlotT1
{
     public static void main (String args[]) throws IOException
     {
     f2 ff=new f2();
     Plot1 pp=new Plot1(ff,0.0,20.0,50,41,0,100,100);
     pp.setPlabel("Fonksiyon Plot");
     pp.setXlabel("x ekseni");
     pp.setXlabel("y ekseni");
     for(int j=0;j<pp.nline;j++)
     {
        System.out.println("n["+j+"]="+pp.n[j]+"nline="+pp.nline+"plottype="+pp.plottype[j]+"rgb="+pp.red[j]+" "+pp.green[j]+" "+pp.blue[j]);
        for(int i=0;i<pp.n[j];i++)
        {
        System.out.println(pp.x[j][i]+" "+pp.y[j][i]);
        }
     }
     PlotW.plot(pp);
     }
}
